Disables a banner.
Enterprise feature
Disables an existing banner, identified by its id.
Authentication
Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format
Path parameters
id
Response
bannerSchema
id
The banner's ID. Banner IDs are incrementing integers. In other words, a more recently created banner will always have a higher ID than an older one.
message
The message to display to all users. Supports markdown.
createdAt
The date and time of when the banner was created.
enabled
Whether the banner should be displayed currently. If not specified, defaults to true.
variant
The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info".
sticky
Whether the banner should be sticky on the screen. If not specified, defaults to false.
icon
The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If “none”, no icon will be displayed.
link
The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: “https://example.com” or relative: “/admin/service-accounts”). If “dialog”, will display a dialog when clicked. If not specified, no link will be displayed.
linkText
The text to display on the link. If not specified, will be displayed as "More info".
dialogTitle
The title to display on the dialog. If not specified, this will be the same as linkText.
dialog
The markdown to display on the dialog. If not specified, no dialog will be displayed.
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error